%define         major                    5
%define         libname                  %mklibname %{name} %{major}
%define         develname                %mklibname %{name} -d

Name:           hwloc
Summary:        Hardware locality utilities and libraries
Version:        1.6
Release:        %mkrel 2
License:        BSD
Group:          System/Libraries

URL:            http://www.open-mpi.org/software/hwloc/v1.5/
Source0:        http://www.open-mpi.org/software/hwloc/v1.5/downloads/%{name}-%{version}.tar.bz2


BuildRequires:  gawk
BuildRequires:  grep
BuildRequires:  gcc-c++
%ifnarch %arm
BuildRequires:  numa-devel
%endif
BuildRequires:  cairo-devel
BuildRequires:  pixman-devel
BuildRequires:  freetype-devel
BuildRequires:  fontconfig-devel
BuildRequires:  wayland-devel
BuildRequires:  gbm-devel
BuildRequires:  udev-devel
BuildRequires:  png-devel
BuildRequires:  xcb-devel
BuildRequires:  X11-devel
BuildRequires:  uClibc-devel
BuildRequires:  pciutils-devel
BuildRequires:  libmesaegl-devel
BuildRequires:  libxml2-devel
BuildRequires:  libncursesw-devel
BuildRequires:  libx11-devel
BuildRequires:  liblzma-devel
BuildRequires:  libxrender-devel
BuildRequires:  libdrm-devel
BuildRequires:  libxau-devel
BuildRequires:  libxdmcp-devel
BuildRequires:  libglapi-devel
BuildRequires:  libxext-devel
BuildRequires:  libxdamage-devel
BuildRequires:  libxfixes-devel
BuildRequires:  libffi-devel
BuildRequires:  libice-devel

%description
The Portable Hardware Locality software package provides a portable
abstraction of the hierarchical topology of modern architectures,
including NUMA memory nodes, sockets, shared caches, cores and
simultaneous multi-threading. It also gathers various system attributes
such as cache and memory information as well as the locality of I/O
devices such as network interfaces, InfiniBand HCAs or GPUs. It
primarily aims at helping applications with gathering information
about modern computing hardware so as to exploit it accordingly and
efficiently. Try out the command "lstopo" and enjoy the show.


%package -n %{libname}
Summary:        Shared libraries for hwloc
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
%{summary}.



%package -n %{develname}
Summary:        Development files for hwloc
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel  = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.


%prep
%setup -q


%build

%configure2_5x  
%make


%install

%makeinstall_std
find %{buildroot}%{_libdir} -name *.la -delete



%files
%doc README COPYING
%{_bindir}/hwloc*
%{_bindir}/lstopo*
%{_datadir}/hwloc
%{_mandir}/man1/*.1.*
%{_mandir}/man7/*.7.*

%files -n %{libname}
%{_libdir}/*.so.%{major}*


%files -n %{develname}
%doc AUTHORS VERSION NEWS
%{_includedir}/hwloc.h
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/autogen/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3.*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 353789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 eatdirt <eatdirt> 1.6-1.mga3
+ Revision: 343154
- Upgrade to version 1.6

* Thu Dec 27 2012 rtp <rtp> 1.5.1-2.mga3
+ Revision: 335686
- disable numa build-dep on arm (no numa on arm atm)

* Sat Nov 03 2012 eatdirt <eatdirt> 1.5.1-1.mga3
+ Revision: 312724
- Upgrade to version 1.5.1

* Sat Sep 01 2012 eatdirt <eatdirt> 1.5-1.mga3
+ Revision: 287067
- imported package hwloc

